#ifndef MEM_MALLOC_H_INCLUDED
#define MEM_MALLOC_H_INCLUDED

/* malloc, free, realloc and calloc provided for shared memory */

extern void* shm_mem_malloc( size_t nbytes );
extern void shm_mem_free( void* cp );
extern void* shm_mem_realloc( void* cp, size_t nbytes );
extern void* shm_mem_calloc( size_t nelem, size_t elsize );

#endif /* MEM_MALLOC_H_INCLUDED */
